import java.util.Iterator;
import java.util.NoSuchElementException;

public class Interval implements Iterable<Integer> {

  private final int beginning, end;

  public Interval (int beginning, int end) {
    this.beginning = beginning;
    this.end = end;
  }

  public Iterator<Integer> iterator () {
    return new Iterator<Integer> () {

      private int next = beginning;

      public boolean hasNext () {
        return next < end;
      }

      public Integer next () {
        if (hasNext())
          return next++;
        throw new NoSuchElementException ();
      }
    };
  }

}
